Name: libgeda
Version: 20041228
Release: alt0.1

Summary: libraries for the gEDA project

Url: http://www.geda.seul.org
License: GPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

# we need noweb package for full support of documented code
# manually removed: gcc-g77 
# Automatically added by buildreq on Tue Dec 14 2004
BuildRequires: gcc-c++ glib2-devel guile16-devel hostinfo indent libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig tetex-core xorg-x11-devel

%description
This package contains libgeda (library needed by gEDA applications).

%package devel
Summary: Headers for developing apps which will use the libgeda
Group: Development/C
Requires: %name = %version

%description devel
Header files for developing applications
which will use the libgeda library. The package is needed
for building programs based on libgeda library.

%prep
%setup -q

%build
%configure
%make

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
%makeinstall
./libtool --finish $RPM_BUILD_ROOT%_libdir

strip $RPM_BUILD_ROOT%_libdir/libgeda.so.*

# remove unwanted files
rm -f $RPM_BUILD_ROOT%_infodir/dir

%post
%install_info libgedadoc.info
%post_ldconfig

%preun
%uninstall_info libgedadoc.info

%postun
%postun_ldconfig

%files
%doc AUTHORS BUGS COPYING ChangeLog HACKING README TODO
%_infodir/*
%_libdir/libgeda.so.*

%files devel
%_libdir/libgeda.so
%dir %_includedir/libgeda
%_includedir/libgeda/*.h
%_libdir/pkgconfig/libgeda.pc

%changelog
* Fri Feb 04 2005 Vitaly Lipatov <lav@altlinux.ru> 20041228-alt0.1
- new version

* Tue Dec 14 2004 Vitaly Lipatov <lav@altlinux.ru> 20041214-alt0.1
- first build for ALT Linux Sisyphus

* Thu Aug 12 2004 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20040111

* Thu Oct 09 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20030901

* Thu Jun 05 2003 Andy Shevchenko <andriy@asplinux.ru>

- update to new version

* Fri Mar 14 2003 Andy Shevchenko <andriy@asplinux.ru>

- update to new version
- rebuild for 8.1

* Wed May 8 2002 Andy Shevchenko <andriy@asplinux.ru>

- updated to version 20020414

* Tue Feb 26 2002 Andy Shevchenko <andy@smile.org.ua>

- updated to version 20020209
- make devel package

* Wed Oct 11 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 20001006

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- rebuild with new version of rpm (shouldn't change anything)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 20000704
- changed licence from LGPL to GPL

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- removed 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- Group is now System Environment/Libraries
- rebuild with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- initialization of spec file.

# end of file
